### Struct

# EBookContacts VCardAttributeParam

#### Description

    struct EVCardAttributeParam {
      /* No available fields */
    }

No description available.

#### Constructors

###### e_vcard_attribute_param_new

Creates a new parameter named `name`.

#### Instance methods

###### e_vcard_attribute_param_add_value

Appends `value` to `param`‘s list of values.

###### e_vcard_attribute_param_add_values

Appends a list of values to `param`.

###### e_vcard_attribute_param_copy

Makes a copy of `param` and all its values.

###### e_vcard_attribute_param_free

Frees `param` and its values.

###### e_vcard_attribute_param_get_name

Gets the name of `param`.

###### e_vcard_attribute_param_get_values

Gets the list of values from `param`. The list and its contents are owned by `param`, and must not be freed.

###### e_vcard_attribute_param_remove_values

Removes and frees all values from `param`.